import React from 'react';
import type { InputNumberProps } from 'antd/es/input-number';
declare const _default: React.ComponentClass<Omit<{
    fieldProps?: (import("../../interface").FieldProps & InputNumberProps<import("rc-input-number/lib/utils/MiniDecimal").ValueType>) | undefined;
    placeholder?: string | string[] | undefined;
    secondary?: boolean | undefined;
    allowClear?: boolean | undefined;
    disabled?: boolean | undefined;
    width?: number | "xs" | "sm" | "md" | "lg" | "xl" | undefined;
    proFieldProps?: {
        light?: boolean | undefined;
        label?: React.ReactNode;
        mode?: "read" | undefined;
    } | undefined;
} & import("antd/es/form").FormItemProps<any> & {
    min?: import("rc-input-number/lib/utils/MiniDecimal").ValueType | undefined;
    max?: import("rc-input-number/lib/utils/MiniDecimal").ValueType | undefined;
} & import("../../create-field").ExtendsProps, "proFieldProps">, any> | React.FunctionComponent<Omit<{
    fieldProps?: (import("../../interface").FieldProps & InputNumberProps<import("rc-input-number/lib/utils/MiniDecimal").ValueType>) | undefined;
    placeholder?: string | string[] | undefined;
    secondary?: boolean | undefined;
    allowClear?: boolean | undefined;
    disabled?: boolean | undefined;
    width?: number | "xs" | "sm" | "md" | "lg" | "xl" | undefined;
    proFieldProps?: {
        light?: boolean | undefined;
        label?: React.ReactNode;
        mode?: "read" | undefined;
    } | undefined;
} & import("antd/es/form").FormItemProps<any> & {
    min?: import("rc-input-number/lib/utils/MiniDecimal").ValueType | undefined;
    max?: import("rc-input-number/lib/utils/MiniDecimal").ValueType | undefined;
} & import("../../create-field").ExtendsProps, "proFieldProps">>;
export default _default;
